Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.x509
Class X509Certificate

    java.lang.Object
      com.mindbright.jca.security.cert.Certificate
          com.mindbright.security.x509.X509Certificate

public class X509Certificate
extends Certificate

Constructor Summary
`X509Certificate(byte[] encoded)`

Method Summary
`BasicConstraints` | `getBasicConstraints()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getExtensions()`
`java.lang.String` | `getIssuerDN()`
`KeyUsage` | `getKeyUsage()`
`java.lang.String` | `getPubAlgName()`
`PublicKey` | `getPublicKey()`
`java.math.BigInteger` | `getSerialNumber()`
`java.lang.String` | `getSubjectDN()`
`SubjectKeyIdentifier` | `getSubjectKeyIdentifier()`
`int` | `getVersion()`
`java.lang.String` | `toString()`
`void` | `verify(PublicKey key)`
`void` | `verify(PublicKey key, java.lang.String sigProvider)`

Methods inherited from class com.mindbright.jca.security.cert.Certificate
`equals, getType, hashCode, writeReplace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X509Certificate

    public X509Certificate(byte[] encoded)

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws CertificateEncodingException

  Specified by:
    `getEncoded` in class `Certificate`
  Throws:
    `CertificateEncodingException`

### verify

    public void verify(PublicKey key)
                throws CertificateException,
                       NoSuchAlgorithmException,
                       InvalidKeyException,
                       NoSuchProviderException,
                       SignatureException

  Specified by:
    `verify` in class `Certificate`
  Throws:
    `CertificateException`
    `NoSuchAlgorithmException`
    `InvalidKeyException`
    `NoSuchProviderException`
    `SignatureException`

### verify

    public void verify(PublicKey key,
                       java.lang.String sigProvider)
                throws CertificateException,
                       NoSuchAlgorithmException,
                       InvalidKeyException,
                       NoSuchProviderException,
                       SignatureException

  Specified by:
    `verify` in class `Certificate`
  Throws:
    `CertificateException`
    `NoSuchAlgorithmException`
    `InvalidKeyException`
    `NoSuchProviderException`
    `SignatureException`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `Certificate`

### getIssuerDN

    public java.lang.String getIssuerDN()

### getSubjectDN

    public java.lang.String getSubjectDN()

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

### getPubAlgName

    public java.lang.String getPubAlgName()

### getSubjectKeyIdentifier

    public SubjectKeyIdentifier getSubjectKeyIdentifier()

### getKeyUsage

    public KeyUsage getKeyUsage()

### getBasicConstraints

    public BasicConstraints getBasicConstraints()

### getExtensions

    public java.lang.String getExtensions()

### getVersion

    public int getVersion()

### getPublicKey

    public PublicKey getPublicKey()

  Specified by:
    `getPublicKey` in class `Certificate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD